package com.qmth.cqb.paper.dao;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import com.qmth.cqb.paper.model.AudioTimeConfig;

/**
 * @author  	chenken
 * @date    	2017年8月10日 下午3:19:46
 * @company 	QMTH
 * @description AudioTimeConfigRepo.java
 */
public interface AudioTimeConfigRepo  extends MongoRepository<AudioTimeConfig,String>,QueryByExampleExecutor<AudioTimeConfig> {

	/**
	 * 根据examId删除设置
	 * @param examId
	 */
	public void deleteByExamIdAndCourseCode(String examId,String courseCode);
	
	List<AudioTimeConfig> findByExamIdAndCourseCodeOrderByGroupCode(String examId,String courseCode);
	
}

