package com.qmth.cqb.paper.model;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;

import com.qmth.cqb.paper.dto.CoursePropertyNumberDto;
import com.qmth.cqb.paper.dto.PaperDetailUnitStructDto;

import java.io.Serializable;
import java.util.Map;
import java.util.List;

/**
 * 试卷结构明细
 * Created by songyue on 16/12/28.
 */

public class PaperDetailStruct implements Serializable{
	
	private static final long serialVersionUID = -1102384643351847702L;

	private String id;
	
	private Integer number;//大题序号
	
	private String name;//大题名称
	
	private List<PaperDetailUnitStruct> paperDetailUnitStructs;//小题明细

	private List<PaperDetailUnitStructDto> unitStructs;//题目类型统计

	private Double totalScore;//大题总分
	
	private Map params;//大题参数

	private String remark;

	private Integer detailCount; //小题总数
	
	/**
	 * 蓝图结构字段
	 */
	private QuesStructType questionType; //题型
	
	private Double score; //小题分数
	
	private List<String> quesNames;//来源大题
	
	private Integer publicSimpleCount; //公开简单总数
	
	private Integer publicMediumCount; //公开简单总数
	
	private Integer publicDifficultyCount; //公开简单总数
	
	private Integer noPublicSimpleCount; //公开简单总数
	
	private Integer noPublicMediumCount; //公开简单总数
	
	private Integer noPublicDifficultyCount; //公开简单总数  coursePropertyNumberDtos
	
	private List<CoursePropertyNumberDto> coursePropertyNumberDtos;
	
	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<PaperDetailUnitStruct> getPaperDetailUnitStructs() {
		return paperDetailUnitStructs;
	}

	public void setPaperDetailUnitStructs(List<PaperDetailUnitStruct> paperDetailUnitStructs) {
		this.paperDetailUnitStructs = paperDetailUnitStructs;
	}

	public List<PaperDetailUnitStructDto> getUnitStructs() {
		return unitStructs;
	}

	public void setUnitStructs(List<PaperDetailUnitStructDto> unitStructs) {
		this.unitStructs = unitStructs;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Map getParams() {
		return params;
	}

	public void setParams(Map params) {
		this.params = params;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getDetailCount() {
		return detailCount;
	}

	public void setDetailCount(Integer detailCount) {
		this.detailCount = detailCount;
	}

	public PaperDetailStruct() {
	}

	public QuesStructType getQuestionType() {
		return questionType;
	}

	public void setQuestionType(QuesStructType questionType) {
		this.questionType = questionType;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public List<String> getQuesNames() {
		return quesNames;
	}

	public void setQuesNames(List<String> quesNames) {
		this.quesNames = quesNames;
	}

	public Integer getPublicSimpleCount() {
		return publicSimpleCount;
	}

	public void setPublicSimpleCount(Integer publicSimpleCount) {
		this.publicSimpleCount = publicSimpleCount;
	}

	public Integer getPublicMediumCount() {
		return publicMediumCount;
	}

	public void setPublicMediumCount(Integer publicMediumCount) {
		this.publicMediumCount = publicMediumCount;
	}

	public Integer getPublicDifficultyCount() {
		return publicDifficultyCount;
	}

	public void setPublicDifficultyCount(Integer publicDifficultyCount) {
		this.publicDifficultyCount = publicDifficultyCount;
	}

	public Integer getNoPublicSimpleCount() {
		return noPublicSimpleCount;
	}

	public void setNoPublicSimpleCount(Integer noPublicSimpleCount) {
		this.noPublicSimpleCount = noPublicSimpleCount;
	}

	public Integer getNoPublicMediumCount() {
		return noPublicMediumCount;
	}

	public void setNoPublicMediumCount(Integer noPublicMediumCount) {
		this.noPublicMediumCount = noPublicMediumCount;
	}

	public Integer getNoPublicDifficultyCount() {
		return noPublicDifficultyCount;
	}

	public void setNoPublicDifficultyCount(Integer noPublicDifficultyCount) {
		this.noPublicDifficultyCount = noPublicDifficultyCount;
	}

	public List<CoursePropertyNumberDto> getCoursePropertyNumberDtos() {
		return coursePropertyNumberDtos;
	}

	public void setCoursePropertyNumberDtos(
			List<CoursePropertyNumberDto> coursePropertyNumberDtos) {
		this.coursePropertyNumberDtos = coursePropertyNumberDtos;
	}

}
