package com.qmth.cqb.paper.service;

import java.util.List;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.dto.ExportPaperInfoModel;
import com.qmth.cqb.paper.model.ExamFile;

/**
 * @author  	chenken
 * @date    	2017年7月13日 下午4:47:55
 * @company 	QMTH
 * @description ExamFileService.java
 */
public interface ExamFileService {
	/**
	 * 批量保存考试文件
	 * @param examFile
	 */
	public void saveExamFiles(List<ExamFile> examFileList,AccessUser accessUser);
	
	/**
	 * 保存考试文件
	 * @param examFile
	 */
	public void saveExamFile(ExamFile examFile,AccessUser accessUser);
	
	/**
	 * 删除考试文件
	 * @param examFile
	 */
	public void deleteExamFile(ExamFile examFile);
	
	/**
	 * 根据条件查询ExamFile集合
	 * @param examFile
	 * @return
	 */
	public List<ExamFile> findExamFileListByExamFile(ExamFile examFile);
	/**
	 * 根据导出试卷模型查询ExamFile集合
	 * @param exportPaperInfoModel
	 * @return
	 */
	public List<ExamFile> findExamFileListByExportPaperInfoModel(ExportPaperInfoModel exportPaperInfoModel);
}

