package com.qmth.cqb.question.service;

import java.util.List;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.question.dto.PropertyDto;
import com.qmth.cqb.question.model.Property;

/**
 * @describle 属性service
 * @author    weiwenhai
 * @date      2017.11.6
 */
public interface PropertyService {

	/**
	 * 保存属性
	 * @param propertyDtos
	 */
	public void saveProperty(List<PropertyDto> propertyDtos, AccessUser user);
	
	/**
	 * 查询属性
	 * @param coursePropertyId
	 * @param user
	 * @return
	 */
	public List<PropertyDto> propertyDtos(Long coursePropertyId, AccessUser user);
	
	/**
	 * 新增属性
	 * @param property
	 * @param user
	 */
	public void saveProperty(Property property, AccessUser user) throws Exception;
	
	/**
	 * 删除属性
	 * @param propertyId
	 */
	public void deleteProperty(Long propertyId, Long coursePropertyId, AccessUser user);
	
	/**
	 * 查询所有属性
	 * @param coursePropertyId
	 * @param user
	 * @return
	 */
	public List<Property> findAll(Long coursePropertyId, AccessUser user);
	
	/**
	 * 查询某个树下的子节点
	 * @param property
	 * @return
	 */
	public List<Property> findPropertySons(Property property);
	
	/**
	 * 查询某个树下的子节点
	 * @param property
	 * @return
	 */
	public List<Property> findPropertySons(Long propertyId);
	
	/**
	 * 查询课程属性下面的所有父节点
	 * @param property
	 * @return
	 */
	public List<Property> findPropertyParents(Long coursePropertyId, Long orgId);
	
	/**
	 * 上移
	 * @param property
	 */
	public void moveUp(Property property) throws Exception;
	
	/**
	 * 下移
	 * @param property
	 */
	public void moveDown(Property property) throws Exception;
}
