package com.qmth.cqb.question.service;

import java.util.List;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.question.model.Question;
import com.qmth.cqb.question.model.QuestionAudio;

/**
 * @author  	chenken
 * @date    	2017年8月1日 上午11:26:40
 * @company 	QMTH
 * @description QuestionRadioService.java
 */
public interface QuestionAudioService {
	
	/**
	 * 使用ID查询音频
	 * @param id
	 * @return
	 */
	public QuestionAudio findAudioById(String id);
	/**
	 * 保存试题音频文件记录
	 * @param questionRadio
	 */
	public void saveQuestionAudio(QuestionAudio questionAudio,AccessUser accessUser);
	 /**
	  * 根据试题ID获取音频文件
	  * @return
	  */
	public List<QuestionAudio> findQuestionAudiosByQuestionId(String questionId);
	/**
	 * 根据questionId和文件名称查询对象
	 * @param questionId
	 * @param fileName
	 * @return  
	 */
	public QuestionAudio findByQuestionIdAndFileName(String questionId,String fileName);
	/**
	 * 删除不在试题中的音频
	 * @param question
	 */
	public void deleteAudioNotInQuestion(Question question);
	
	/**
	 * 给音频排序
	 * @param question
	 */
	public void sortAudio(Question question);
}

