package cn.com.qmth.examcloud.core.questions.dao.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springframework.data.annotation.Id;

import cn.com.qmth.examcloud.core.questions.base.enums.ExportType;

import cn.com.qmth.examcloud.common.dto.em.enums.ExamType;

/**
 * @author  	chenken
 * @date    	2017年7月12日 下午3:45:08
 * @company 	QMTH
 * @description 导出结构设置
 */
public class ExportStructure implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -2710169914864126547L;
	
	@Id	
	private String id;
	/**
	 * 考试类型
	 */
	private ExamType examType;
	/**
	 * 考试ID
	 */
	private String examId;
	/**
	 * 考试名称
	 */
	private String examName;
	/**
	 * 导出 类型
	 */
	private ExportType exportType;
	
	private List<QuestionTypeNum> questionTypeNums;
	/**
	 * 是否可用
	 */
	private Short useable;
	
	private String createUser;

    private Date createTime;
    
    private String updateUser;

    private Date updateTime;
    
    private String orgId;
    
    private String orgName;

    public ExportStructure(){}
    
    public ExportStructure(ExamType examType){
    	this.examType = examType;
    }
    
    public ExportStructure(String examId){
    	this.examId = examId;
    }
    
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public ExportType getExportType() {
		return exportType;
	}

	public void setExportType(ExportType exportType) {
		this.exportType = exportType;
	}

	public Short getUseable() {
		return useable;
	}

	public void setUseable(Short useable) {
		this.useable = useable;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateUser() {
		return updateUser;
	}

	public void setUpdateUser(String updateUser) {
		this.updateUser = updateUser;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getExamId() {
		return examId;
	}

	public void setExamId(String examId) {
		this.examId = examId;
	}
	
	public List<QuestionTypeNum> getQuestionTypeNums() {
		return questionTypeNums;
	}

	public void setQuestionTypeNums(List<QuestionTypeNum> questionTypeNums) {
		this.questionTypeNums = questionTypeNums;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	
}

