package cn.com.qmth.examcloud.core.questions.dao.entity;

import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;

public class QuestionSearchCondition {

    private String id;

    private QuesStructType questionType;// 试题类型名称

    private String createTime;// 创建时间

    private String updateTime;// 更新时间

    private Map<String, String> quesParams;// 试题其他属性

    private String courseNo;// 课程CODE

    private String orgId;

    private String courseLevel;//课程层次

    private String courseMajor;//课程专业
    
    private Boolean publicity;//公开度
    
    private String coursePropertyName;//属性名
    
    private String firstPropertyId;//一级属性
    
    private String secondPropertyId;//二级属性
    
    private String difficulty;// 难度

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public QuesStructType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuesStructType questionType) {
        this.questionType = questionType;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Map<String, String> getQuesParams() {
        return quesParams;
    }

    public void setQuesParams(Map<String, String> quesParams) {
        this.quesParams = quesParams;
    }

    public String getCourseNo() {
        return courseNo;
    }

    public void setCourseNo(String courseNo) {
        if (StringUtils.isBlank(courseNo)) {
            this.courseNo = null;
        } else {
            this.courseNo = courseNo;
        }
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public String getCourseMajor() {
        return courseMajor;
    }

    public void setCourseMajor(String courseMajor) {
        this.courseMajor = courseMajor;
    }

    public QuestionSearchCondition() {
    }

	public String getCoursePropertyName() {
		return coursePropertyName;
	}

	public void setCoursePropertyName(String coursePropertyName) {
		this.coursePropertyName = coursePropertyName;
	}

	public String getFirstPropertyId() {
		return firstPropertyId;
	}

	public void setFirstPropertyId(String firstPropertyId) {
		this.firstPropertyId = firstPropertyId;
	}

	public String getSecondPropertyId() {
		return secondPropertyId;
	}

	public void setSecondPropertyId(String secondPropertyId) {
		this.secondPropertyId = secondPropertyId;
	}

	public String getDifficulty() {
		return difficulty;
	}

	public void setDifficulty(String difficulty) {
		this.difficulty = difficulty;
	}

	public Boolean getPublicity() {
		return publicity;
	}

	public void setPublicity(Boolean publicity) {
		this.publicity = publicity;
	}

}
