package cn.com.qmth.examcloud.core.questions.service;

import java.io.IOException;
import java.util.List;

import javax.servlet.http.HttpServletResponse;

public interface ExportPaperService {

	/**
	 * 导出单个试卷，答案，机考数据包
	 * @param examId
	 * @param courseNo
	 * @param paperType
	 * @param response
	 * @param exportContentList
	 * @throws Exception
	 */
	public void exportPaperFile(String paperId,String serviceName,String exportContentList,HttpServletResponse response, String loginName, String examType)  throws Exception;

	/**
	 * 批量导出试卷，答案，机考数据包
	 * @param paperIds
	 * @param serviceName
	 * @param exportContentList
	 * @param response
	 * @param loginName
	 * @throws Exception
	 */
	public void exportPaperFiles(List<String> paperList,String serviceName,String exportContentList,HttpServletResponse response, String loginName, String examType)  throws Exception;

	/**
	 * 导出课程下的试题分布Excel
	 * @param courseNo
	 * @param response
	 */
	public void downQuestionDistribute(String courseNo,HttpServletResponse response) throws IOException;
}
