/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-09 17:11:56.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.service;

import main.java.com.UpYun;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class UpYunService {
    protected static final Logger log = LoggerFactory.getLogger(UpYunService.class);
    @Value("${upyun.bucketName}")
    private String bucketName;
    @Value("${upyun.userName}")
    private String userName;
    @Value("${upyun.password}")
    private String password;
    @Value("${upyun.audio.uploadUrl}")
    private String upYunRadioPath;
    public static final String TEMP_FILE_EXP = "docxExport/";

    public UpYun getInstance() {
        UpYun upyun = new UpYun(bucketName, userName, password);
        upyun.setDebug(true);
        upyun.setTimeout(15);
        upyun.setApiDomain(UpYun.ED_AUTO);
        return upyun;
    }

    public String getUpYunRadioPath() {
        return upYunRadioPath;
    }

    public String randomUUID() {
        return UUID.randomUUID().toString().replaceAll("-", "");
    }

}