package cn.com.qmth.examcloud.core.questions.service.bean.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.core.questions.dao.entity.Course;
import cn.com.qmth.examcloud.core.questions.service.bean.condition.Condition;
import cn.com.qmth.examcloud.core.questions.base.enums.RandomGenPaperPolicy;

import cn.com.qmth.examcloud.common.dto.core.enums.CourseLevel;

/**
 * Created by songyue on 17/3/24.
 */
public class GenPaperDto implements Serializable {

    private static final long serialVersionUID = -7738591929656796661L;

    private String courseNo;// 课程代码

    private String courseName;// 课程名称
    
    private Course course;
    
    private CourseLevel level;// 层次

    private String paperName;// 试卷名称

    private List<String> paperIds;// 试卷ID集合

    private Map<String, Double> simpleParams;// 简单组卷规则

    private List<Condition> conditions;// 精细组卷规则

    private String creator;// 创建人

    private String paperStructId;// 试卷模板Id

    private RandomGenPaperPolicy simpleGenPaperPolicy;

    private Integer genNumber;// 生成试卷套数

    private String orgId;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getCourseNo() {
        return courseNo;
    }

    public void setCourseNo(String courseNo) {
        this.courseNo = courseNo;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public List<String> getPaperIds() {
        return paperIds;
    }

    public void setPaperIds(List<String> paperIds) {
        this.paperIds = paperIds;
    }

    public Map<String, Double> getSimpleParams() {
        return simpleParams;
    }

    public void setSimpleParams(Map<String, Double> simpleParams) {
        this.simpleParams = simpleParams;
    }

    public List<Condition> getConditions() {
        return conditions;
    }

    public void setConditions(List<Condition> conditions) {
        this.conditions = conditions;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getPaperStructId() {
        return paperStructId;
    }

    public void setPaperStructId(String paperStructId) {
        this.paperStructId = paperStructId;
    }

    public RandomGenPaperPolicy getSimpleGenPaperPolicy() {
        return simpleGenPaperPolicy;
    }

    public void setSimpleGenPaperPolicy(RandomGenPaperPolicy simpleGenPaperPolicy) {
        this.simpleGenPaperPolicy = simpleGenPaperPolicy;
    }

    public Integer getGenNumber() {
        return genNumber;
    }

    public void setGenNumber(Integer genNumber) {
        this.genNumber = genNumber;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

	public CourseLevel getLevel() {
		return level;
	}

	public void setLevel(CourseLevel level) {
		this.level = level;
	}

	public Course getCourse() {
		return course;
	}

	public void setCourse(Course course) {
		this.course = course;
	}
    
}
