package cn.com.qmth.examcloud.core.questions.service.bean.dto;

import cn.com.qmth.examcloud.core.questions.dao.entity.Course;
import cn.com.qmth.examcloud.core.questions.base.enums.PaperStatus;
import cn.com.qmth.examcloud.core.questions.base.enums.PaperType;

import java.io.Serializable;
import java.util.*;

/**
 * 试卷导出dto
 * Created by songyue on 17/3/15.
 */
public class PaperExp implements Serializable{
    private static final long serialVersionUID = -4673013279766466337L;

    private String id;

    private String name;//试卷名称

    private String title;//试卷标题

    private String subTitle;//试卷子标题

    private Double totalScore;//试卷总分

    private PaperStatus paperStatus;//试卷状态(待审核、通过、不通过)

    private PaperType paperType;//试卷类型(导入、组卷)

    private String courseNo;

    private String courseName;
    
    private Course course;

    private List<PaperDetailExp> paperDetails;

    private Map<String,String> params;//导入试卷属性
    
    /**
     * 客观题
     */
    private List<PaperDetailExp> objectiveDetails;
    /**
     * 主观题
     */
    private List<PaperDetailExp> subjectiveDetails;
    
    /**
     * 客观题标题
     */
    private String objectiveTitle;
    
    /**
     * 主观题标题
     */
    private String subjectiveTitle;
    
    private Double objectiveScore;
    
    private Double subjectiveScore;

    private String courseLevel;

    /**
     * 不参与持久化,只做查询显示使用
     * 是否包含音频题
     */
    private Boolean hasAudio;
    
    private Double difficultyDegree ; //难度系数
    
    private String examRemark;//考试说明
    
    private String examRemarkWord;//考试说明word
    
    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public PaperStatus getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(PaperStatus paperStatus) {
        this.paperStatus = paperStatus;
    }

    public PaperType getPaperType() {
        return paperType;
    }

    public void setPaperType(PaperType paperType) {
        this.paperType = paperType;
    }

    public String getCourseNo() {
        return courseNo;
    }

    public void setCourseNo(String courseNo) {
        this.courseNo = courseNo;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public List<PaperDetailExp> getPaperDetails() {
        return paperDetails;
    }

    public void setPaperDetails(List<PaperDetailExp> paperDetails) {
        this.paperDetails = paperDetails;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    public String getSubTitle() {
        return subTitle;
    }

    public void setSubTitle(String subTitle) {
        this.subTitle = subTitle;
    }

    /**
     * 得到客观题
     * @return
     */
	public List<PaperDetailExp> getObjectiveDetails() {
		return objectiveDetails;
	}

	public void setObjectiveDetails(List<PaperDetailExp> objectiveDetails) {
		this.objectiveDetails = objectiveDetails;
	}
	 /**
     * 得到主观题
     * @return
     */
	public List<PaperDetailExp> getSubjectiveDetails() {
		return subjectiveDetails;
	}

	public void setSubjectiveDetails(List<PaperDetailExp> subjectiveDetails) {
		this.subjectiveDetails = subjectiveDetails;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Double getSubjectiveScore() {
		return subjectiveScore;
	}

	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public Course getCourse() {
		return course;
	}

	public void setCourse(Course course) {
		this.course = course;
	}

	public Boolean getHasAudio() {
		return hasAudio;
	}

	public void setHasAudio(Boolean hasAudio) {
		this.hasAudio = hasAudio;
	}

	public String getObjectiveTitle() {
		return objectiveTitle;
	}

	public void setObjectiveTitle(String objectiveTitle) {
		this.objectiveTitle = objectiveTitle;
	}

	public String getSubjectiveTitle() {
		return subjectiveTitle;
	}

	public void setSubjectiveTitle(String subjectiveTitle) {
		this.subjectiveTitle = subjectiveTitle;
	}

	public Double getDifficultyDegree() {
		return difficultyDegree;
	}

	public void setDifficultyDegree(Double difficultyDegree) {
		this.difficultyDegree = difficultyDegree;
	}

	public String getExamRemark() {
		return examRemark;
	}

	public void setExamRemark(String examRemark) {
		this.examRemark = examRemark;
	}

	public String getExamRemarkWord() {
		return examRemarkWord;
	}

	public void setExamRemarkWord(String examRemarkWord) {
		this.examRemarkWord = examRemarkWord;
	}
    
}
