package cn.com.qmth.examcloud.core.questions.service.bean.dto;

import java.io.Serializable;

import cn.com.qmth.examcloud.commons.base.util.excel.ExcelProperty;

/**
 * @author  	chenken
 * @date    	2017年7月18日 上午10:51:54
 * @company 	QMTH
 * @description 主观题数据--用于Excel导出
 */
public class SubjectiveQuestionStructure implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1130718763453256519L;
	/**
	 * 课程代码
	 */
	@ExcelProperty(name="科目代码",index = 0)
	private String courseNo;
	/**
	 * 课程名称
	 */
	@ExcelProperty(name="科目名称",index = 1)
	private String courseName;
	/**
	 * 试卷名称
	 */
	@ExcelProperty(name="试卷名称",index = 2)
	private String paperName;
	
	/**
	 * 试卷类型
	 */
	@ExcelProperty(name="试卷类型",index = 3)
	private String paperType;
	/**
	 * 大题号
	 */
	@ExcelProperty(name="大题号",index = 4)
	private Integer bigQuestionNo;
	/**
	 * 大题名称
	 */
	@ExcelProperty(name="大题名称",index = 5)
	private String bigQuestionName;
	/**
	 * 小题号
	 */
	@ExcelProperty(name="小题号",index = 6)
	private Integer smallQuestionNo;
	/**
	 * 小题分数
	 */
	@ExcelProperty(name="满分",index = 7)
	private Double questionScore;
	
	public SubjectiveQuestionStructure(){}
	
	public SubjectiveQuestionStructure(PaperExp paperExp,PaperDetailExp paperDetailExp,PaperDetailUnitExp unit){
		this.courseNo = paperExp.getCourseNo();
		this.courseName = paperExp.getCourseName();
		this.bigQuestionNo = paperDetailExp.getNumber();
		this.bigQuestionName = paperDetailExp.getName();
		this.smallQuestionNo = unit.getNumber();
		this.questionScore = unit.getScore();
	}
	
	public SubjectiveQuestionStructure(PaperExp paperExp,PaperDetailExp paperDetailExp,PaperDetailUnitExp unit,String paperType){
		this.paperName = paperExp.getName();
		this.paperType = paperType;
		this.courseNo = paperExp.getCourseNo();
		this.courseName = paperExp.getCourseName();
		this.bigQuestionNo = paperDetailExp.getNumber();
		this.bigQuestionName = paperDetailExp.getName();
		this.smallQuestionNo = unit.getNumber();
		this.questionScore = unit.getScore();
	}
	
	
	public String getCourseNo() {
		return courseNo;
	}
	public void setCourseNo(String courseNo) {
		this.courseNo = courseNo;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getBigQuestionNo() {
		return bigQuestionNo;
	}
	public void setBigQuestionNo(Integer bigQuestionNo) {
		this.bigQuestionNo = bigQuestionNo;
	}
	public String getBigQuestionName() {
		return bigQuestionName;
	}
	public void setBigQuestionName(String bigQuestionName) {
		this.bigQuestionName = bigQuestionName;
	}
	public Integer getSmallQuestionNo() {
		return smallQuestionNo;
	}
	public void setSmallQuestionNo(Integer smallQuestionNo) {
		this.smallQuestionNo = smallQuestionNo;
	}

	public Double getQuestionScore() {
		return questionScore;
	}

	public void setQuestionScore(Double questionScore) {
		this.questionScore = questionScore;
	}

	public String getPaperName() {
		return paperName;
	}

	public void setPaperName(String paperName) {
		this.paperName = paperName;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}
	
}

