package cn.com.qmth.examcloud.core.questions.service.impl;


import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.questions.dao.CourseRepo;
import cn.com.qmth.examcloud.core.questions.dao.entity.Course;
/**
 * Created by songyue on 16/12/28.
 */
@Service
public class CourseService {
	
	@Autowired
	CourseRepo courseRepo;
	
    @Autowired
    MongoTemplate mongoTemplate;
    
    /**
     * 查询所有课程
     * @param searchCondition
     * @param curPage
     * @param pageSize
     * @return
     */
    public Page<Course> findAll(Course searchCondition, int curPage, int pageSize){
        return courseRepo.findAll(Example.of(searchCondition),
                new PageRequest(curPage - 1,pageSize));
    }


    /**
     * 根据课程名称或者课程No查找课程
     * @param 
     * @return
     */
    public List<Course> findCoursesByKeyword(String keyword){
        List<Course> courselist = new ArrayList<Course>();
        if(StringUtils.isEmpty(keyword)){
            return courselist;
        }else{
            Criteria likeNo = Criteria.where("courseNo").regex(keyword);//模糊匹配相当于SQL中“%Keyword%”
            Criteria likeName = Criteria.where("courseName").regex(keyword);
            Query query = new Query(new Criteria().orOperator(likeName,likeNo));
            courselist = mongoTemplate.find(query, Course.class);
            return courselist;
        }
    }
}
